<div class="col-12 mt-4">
    <h2>{{pageTitle}}</h2>
    <hr>
    <div class="list-albums-container" *ngIf="loading">
        <img src="../../../assets/loaders/2.gif" alt="">
    </div>
    <div class="text-center" [ngClass]="deleteStatus=='success' ? 'alert alert-warning' : 'alert alert-danger'"
        *ngIf="deleteStatus">{{message}}</div>
    <div class="d-flex flex-wrap justify-content-start m-5" *ngIf="albums">
        <div class="card col-3 p-0 m-3 " *ngFor='let album of albums'>
            <div class="card-body">
                <h5 class="card-title">{{album.title}}</h5>
                <h6 class="card-subtitle mb-2 text-muted">Descripción:</h6>
                <p class="card-text">{{album.description}}</p>
                <div id="carouselExampleSlidesOnly" class="carousel slide" data-ride="carousel">
                    <div class="carousel-inner">
                        <div class="carousel-item" *ngFor="let imag of imagesArray[album._id]; first as isFirst" [ngClass]="{'active':isFirst==true}">
                                <img src="{{url + 'get-image-file/' + imag.picture}}" class="d-block w-100" alt="">
                               
                        </div>
                    </div>
                    <div class="text-center mt-4 text-muted" *ngIf="imagesArray[album._id]==''">No hay imágenes de este álbum</div>
                </div>
                
            </div>
            <div class="card-footer d-flex justify-content-center flex-wrap">
                <a [routerLink]="['/album',album._id]" class="btn btn-sm m-1 btn-outline-success">Ver álbum</a>
                <a [routerLink]="['/nueva-imagen',album._id]" class="btn btn-sm m-1 btn-outline-info">Añadir fotos</a>
                <a [routerLink]="['/editar-album',album._id]" class="btn btn-sm m-1 btn-outline-warning">Editar
                    álbum</a>
                <button type="button" class="btn btn-sm m-1 btn-outline-danger" data-toggle="modal"
                    [attr.data-target]="'#modalConfirm'+album._id">Borrar álbum</button>
            </div>

            <!-- Modal -->
            <div class="modal fade" id="{{'modalConfirm'+album._id}}" tabindex="-1" role="dialog" aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Confirma borrado</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            ¿Seguro que quieres borrar el álbum "{{album.title}}"?
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-primary" data-dismiss="modal">No</button>
                            <button type="button" class="btn btn-danger" data-dismiss="modal"
                                (click)="deleteAlbum(album._id)">Sí, borrar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>